Bug 957409 - (deepin-utils) Review Request: deepin-utils - Basic modules needed by most Linux Deepin applications
Review Request: deepin-utils - Basic modules needed by most Linux Deepin appl...
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 731891
Blocks: deepin-ui
  Show dependency treegraph
 
Reported: 2013-04-27 23:09 EDT by Christopher Meng
Modified: 2015-12-06 13:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-04-27 23:09:06 EDT
Spec URL: http://cicku.me/deepin-utils.spec
SRPM URL: http://cicku.me/deepin-utils-0.0.1-git201323150025.fc20.src.rpm
Description: Basic modules needed by most Linux Deepin applications(deepin-prefix).
Fedora Account System Username: cicku
Comment 1 Mario Blättermann 2013-08-24 07:50:48 EDT
Your srpm link is invalid.


Release:           git%{datetime}%{?dist}

This could cause problems with getting a proper upgrade path. Better:

Release:           1.git%{datetime}%{?dist}

See http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Post-Release_packages


BuildRequires:     python-devel
BuildRequires:     pygtk2-devel

python-devel is deprecated, use python2-devel instead:
https://fedoraproject.org/wiki/Packaging:Python#BuildRequires
But it is not needed at all, pygtk2-devel depends on it. And you can drop more of your explicite build requirements which are needed by pygtk2-devel:

pkgconfig(cairo)
pkgconfig(pygobject-2.0)
pkgconfig(glib-2.0)
pkgconfig(gtk+-2.0)
Comment 2 Michael Schwendt 2013-08-31 08:30:22 EDT
> Release:           1.git%{datetime}%{?dist}

At Fedora, ordering is different, and the revision control system type id would  be appended to the YYYYMMDD date:

  Release:           1.20130423git%{?dist}

http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages
(yes, it's mostly cosmetic/pedantry, since the number at the very left is the most significant part of the release value.)
Comment 3 Christopher Meng 2013-09-07 03:06:21 EDT
The time I first packaged was long time ago, I will cleanup it later then submit them.
Comment 4 Christopher Meng 2013-09-07 03:35:16 EDT
BLOCKED BY BZ#770828.

python-cairo aka pycairo should be updated, then this package can be built.
Comment 5 Pavel Alexeev 2014-04-25 08:44:46 EDT
http://cicku.me/deepin-utils.spec - 404 error
Comment 6 Upstream Release Monitoring 2015-12-06 13:25:51 EST
pbrobinson's scratch build of linux-user-chroot?#b7afe5173cbd31b029b027b6f8a14baa5e6ce87a for epel7-archbootstrap and git://pkgs.fedoraproject.org/linux-user-chroot?#b7afe5173cbd31b029b027b6f8a14baa5e6ce87a failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12089939

Note You need to log in before you can comment on or make changes to this bug.